List webhook subscriptions
GET
/databases/{id}/webhooks
const url = 'https://api.reflexdb.cloud/v1/databases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/webhooks';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.reflexdb.cloud/v1/databases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/webhooks \ --header 'Authorization: Bearer <token>'Returns all webhook subscriptions for a database. The signing secret is never returned.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Database ID
Responses
Section titled “ Responses ”Default Response
Media type application/json
Array<object>
WebhookSubscriptionA webhook endpoint subscribed to one or more platform events
object
id
required
string format: uuid
databaseId
required
string format: uuid
url
required
string format: uri
eventTypes
required
Array<string>
enabled
required
boolean
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
[ { "eventTypes": [ "build.completed" ] }]Default Response
Media type application/json
Error
object
error
required
string
message
string
Example generated
{ "error": "example", "message": "example"}Default Response
Media type application/json
Error
object
error
required
string
message
string
Example generated
{ "error": "example", "message": "example"}